<template>
  <div class="donate-radio">
    <label class="container" @click="updateSelection(0)"> 20,000 VNĐ
      <input type="radio" checked name="radio">
      <span class="checkmark"></span>
    </label>
    <label class="container" @click="updateSelection(1)"> 50,000 VNĐ
      <input type="radio" name="radio">
      <span class="checkmark"></span>
    </label>
    <label class="container" @click="updateSelection(2)"> 200,000 VNĐ
      <input type="radio" name="radio">
      <span class="checkmark"></span>
    </label>
    <label class="container" @click="updateSelection(3)"> 500,000 VNĐ
      <input type="radio" name="radio">
      <span class="checkmark"></span>
    </label>
    <label class="container" @click="updateSelection(4)">
      <input type="radio" name="radio">
      <input type="text" v-model="customAmount" @keypress="isNumber" @input="updateSelection(4)">
      <label> VNĐ</label>
      <span class="checkmark"></span>
    </label>
  </div>
</template>

<script>
export default {
  name: "DonateRadio",  
  props: {
    modelValue: Number
  },
  emits: ['update:modelValue'],
  data() {
    return {
      customAmount: '',
      standard: [
        20000, 50000, 200000, 500000
      ]
    }
  },
  methods: {
    isNumber(event){
      event = event? event : window.event
      let re = new RegExp("[0-9]")
      if(!re.test(event.key)) event.preventDefault()
    },
    updateSelection(value){
      if(value < 4)
        this.$emit('update:modelValue',  parseInt(this.standard[value]))
      else this.$emit('update:modelValue', parseInt(this.customAmount))
    }
  }
}
</script>

<style scoped>
.donate-radio {
  margin-left: 20px;
}
.container {
  margin-bottom: 10px;
  display: block;
  position: relative;
  padding-left: 30px;
  cursor: pointer;
  user-select: none;
}

.container input[type="radio"] {
  cursor: pointer;
  opacity: 0;
  position: absolute;
}


.container input[type="text"] {  
  font-family: 'Roboto', sans-serif;
}

.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: #ddd;
  border-radius: 50%;
}


/* On mouse-over, add a grey background color */
.container:hover input ~ .checkmark {
  background-color: #ccc;
}

/* When the radio button is checked, add a blue background */
.container input:checked ~ .checkmark {
  background-color: #2196F3;
}

/* Create the indicator (the dot/circle - hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the indicator (dot/circle) when checked */
.container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the indicator (dot/circle) */
.container .checkmark:after {
  top: 6px;
	left: 6px;
	width: 8px;
	height: 8px;
	border-radius: 50%;
	background: white;
}

</style>